Since december 2012 Battlestations: Midway is supported by GameSpy no longer. The only one possibility for Midway players is GameRanger. Please visit www.gameranger.com, download Gameranger client and make new account. You can find other Midway players in the Gameranger rooms. BS:M patch 1.1.1 is required to play online battles. Iowa Mission Pack and Midway Modders Mappacks 1 and 2 are recommended.

Mappack 1.1

Mappack 1.1

Things have been found since Mappack 1 : Name in Main menu, multulanguage, nav file for crash planes.

So there is a question we need to find an answer : must we create a 'Mappack 1.1' or not. And if we create it, what must we create ?

There are several ways.

1) Do nothing : Mappack1 stay Mappack1. That's all, and sure to keep compatibility.

2) Do a Mappack 1.1 with multilanguage for all maps of Mappck1..
So it's possible to have a version witch will be full compatible with Mappack1 and Mappack2.
This version will contain same lan file than Mappack2. and all .nav file upgrade.
So if Mappack1.1 is upgrade after Pappack2, no problem. Map of Mappack1 can be play with map of Mappack1.1. this soluce is Full compatible.
But with this version, Main menu will show 'Mop Map' again. impossible to know if host chose 'IBS' or 'Ten-Go'.

3) do a mappack 1.1 with Multilanguage, new nav file and new MainMenu.
This soluce give the better result because Mainmenu wil not show 'Mod Map' but 'Irron Botton Sound' or 'Ten-Go' or other name. But ...
Someone who have Mappack1 won't be able to join a map if the host chose a map of Mappack1.1 because he will see the server 'in gray'. He can play the map if he is on the server. But need to join on map witch is not a map from Mappack1.
So who have Mappack1 must download Mappack1.1, and all will be right.

4) same than 3), but with 1 new map inside.

5) include Mappack1.1 in Mappck2. Same result and same problem than soluce 4). But this download file will be big : about 700MB.

What i think :

Soluce 1) is easy but bad result.

Soluce 2) it's the minimum. No problem with compatibility. So download Mappack1.1 can replace Mappack1 and all will run well.

Soluce 3) is the optimun result. But who will download this Mappack ? Who don't speak english. For who speak english : it's alomost the same. So 'gray title' will stay a long time in the game.

Soluce4) the best soluce. There is a new map in this Mappack. So Everybody who have Mappack1 - so know how to do to to have a Mappack : Going on battestations.eu - will download this version.

Soluce 5) too heavy. Why Download in 1 time ? Can be do in 2 times : Mappack 1.1 and Mappack 2. Full compatibility. Mappack2 can be download  before Mappack1.1.

IMO
I think we have to choose between 2) and 4)

Give yours !

Edited By: Velcor
13-Nov-09 14:41:18

Velcor
Moderator
Activity Points: 128
ranks
useravatar
Offline
643 Posts
User info in posts
Administrator has disabled public posting

Re: Mappack 1.1

First of all we should focus on one Map pack at a time, first lets finish up our current work, then we can go back to fix up some of the minor things in the 1st map pack.

As it stands the 1st map pack works fine, sure there are minor errors and its missing some of the new language stuff from the 2nd one but overall its very well playable, there is no need to fix it immediately.

Support me on Twitter!

http://twitter.com/Tipsymahn260

Tipsy3000
American Idiota! ;D
Commodore
Activity Points: 943
ranks
useravatar
Offline
1029 Posts
User info in posts
Administrator has disabled public posting

Re: Mappack 1.1

In fact, if we want full compatibility, need to know now what we want. Some files need to be the same in Mappack1.1 and Mappack2. Or Mappack2 will can't be instal after Mappack1.1.

And multilanguage isn't a little thing. For you : sure you speak english and the alone version is in English. But i hate to play an english game. I am not alone.

If we don't decid now, the result will be : no Mappack1.1, and no multilanguage for Mappack1.

Velcor
Moderator
Activity Points: 128
ranks
useravatar
Offline
643 Posts
User info in posts
Administrator has disabled public posting

Board Info

Board Stats:
 
Total Topics:
1690
Total Polls:
69
Total Posts:
23071
Posts this week:
1
User Info:
 
Total Users:
20741
Newest User:
ngan34017136902821
Members Online:
0
Guests Online:
341

Online: 
There are no members online

Forum Legend:

 Topic
 New
 Locked
 Sticky
 Active
 New/Active
 New/Locked
 New Sticky
 Locked/Active
 Active/Sticky
 Sticky/Locked
 Sticky/Active/Locked

Login Form

Battlestations Shoutbox

Latest Message: 1 day, 2 hours ago
  • N_Trainz : What game and mod are you dealing with?
  • Runsva : Can someone PLEASE help me i can't install anything on my game it just keeps crashing!!
  • N_Trainz : Legendary Da: Its now live on Moddb and here is the link, requires a Batlestations Midway game to be installed to work «link» - midway - skinpack/addons/international - bsm - collection - light - version Enjoy
  • Runsva : are we still talikg about the zyy modding pack??
  • N_Trainz : Yeah I wanted to do this, but the installers were being a pain giving me errors about something. I finally got it working, and just figured out how to make the updater now since it'll be two parts with one containing the misc files and the other mostly the mpak files. It'll be a stand - alone DLC mod just like the Bismarck Mission Pack was. Like I said I plan to have it all completed and uploaded by this weekend
  • Legendary Da : No, no, not problem at all; I am already grateful that you were thinking about this subject, I can wait as long as you need to. Thanks for the help (again), and feel no need to rush this subject; we all know that the life comes first. :)
  • N_Trainz : Hope you won't mind the wait, it'll be worth it if you ask me, and yes I do understand that you can't download due to that cap Mege has. I heard the PM was down, but haven't tried it as I been busy helping the BSmodHQ team with things and then those that are life - in - general.
  • N_Trainz : To Legendary Da: I been trying to work on that actually, what I'm experiencing is the pack size> I already made it a light version of the mod, so hopefully this weekend maybe, might be sooner
  • Legendary Da : To N_Trainz: So, um... I can't exactly download from Mega for some reason; so could u upload that mod to Moddb? I am sorry for making extra work for you, and I TOTALLY understand if u can't upload it again; so, do as you want; I just wanted to say somehow I couldn't dl the mod (btw, why isn't the PM working?). U don't have to post the link either; I'll find it from the site if u upload it. Thanks whatever u do, and so sorry for the extra wish. :/
  • Runsva : Anyone there??
  • Runsva : That is on the zyy modding pack v1.0.3 forum.
  • Runsva : If that hepls...
  • Runsva : The link that I donloaded from is the one message before the last one on page 4 on this forum because all the others are for some reason down.
  • YamatoFavor : Zyy eh... doubt I installed successfully and seems like I lost the build
  • Axis_Crusher : Well I am aware of that mod, but I've never installed it. I'll ask around if I can find someone that successfully installed it.
  • Runsva : The zyy modding pack v1.0.3
  • Axis_Crusher : Just so we're on the same page which mod are you trying to install?
  • Runsva : Game*
  • Runsva : Do i need to make a copy of my gamr folder like Battlestations Midway?
  • Runsva : No I didn't install it into a separate directory, it is in steamapps - - > common like any other steam game.

Only registered users are allowed to post

Now Online

None

Birthdays

BusyOCAMPO Send PM
birthday is today!

samuraj Send PM
birthday will Wednesday, 01 March 2017

Gabriel_03 Send PM
birthday will Thursday, 02 March 2017

TorpedoFish Send PM
birthday will Friday, 03 March 2017